﻿using IRaCIS.Core.Domain.BaseModel;
using IRaCIS.Core.Domain.Share;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IRaCIS.Core.Domain._DomainEvent
{

    /// <summary>
    ///  SPM审批通过，通知PM； (在消费者中判断项目是否配置了SPM 并且有SPM,有的话才发邮件,因为没有SPM的时候，状态会跳的 ) Enroll表
    /// </summary>
    public class ReviewerSPMApprovedEvent : DomainEvent
    {
        List<Guid> EnrollIdList { get; set; }

        /// <summary>
        ///  有SPM 会从  EnrollStatus.HasCommittedToCRO ->   InviteIntoGroup
        /// </summary>
        public EnrollStatus EnrollStatus { get; set; }
    }
}
